std::span::size_bytes(3)

NAME
std::span::size_bytes - std::span::size_bytes

Synopsis
   constexpr size_type size_bytes() const noexcept;
   Returns the size of the sequence in bytes.

Parameters
   (none)

Return value
   The size of the sequence in bytes, i.e., size() * sizeof(element_type).

Example
// Run this code
 #include <span>
 #include <cstdint>
 int main()
 {
     static constexpr std::int32_t a[] { 1, 2, 3, 4, 5 };
     constexpr std::span s{a};
     static_assert( sizeof(int32_t) == 4 );
     static_assert( std::size(a) == 5 );
     static_assert( sizeof(a) == 20 );
     static_assert( s.size() == 5 );
     static_assert( s.size_bytes() == 20 );
 }

See also
   size returns the number of elements in the sequence
        (public member function)